Bug 927954 - TUI timezone selection could provide a way how to select all timezones
TUI timezone selection could provide a way how to select all timezones
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-26 10:50 EDT by Martin Banas
Modified: 2015-02-17 09:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:54:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Banas 2013-03-26 10:50:00 EDT
Description of problem:
Currently user is able to select timezones based on City, or UTC and GMT+-12. I would like to see a way how to select also CET, EDT, EST and other timezones.

Version-Release number of selected component (if applicable):
Fedora 19-Alpha-TC2
anaconda-19.13

How reproducible:


Steps to Reproduce:
1. Start text installation of latest fedora
2. Go to timezone selection screen
3. Try to select CET timezone.
  
Actual results:
There's no way how to select CET timezone, and also writing CET on input field doesn't work.

Expected results:
User should be able to set any timezone, either
1. by selecting it from menu
or
2. by writing it on the input field
or whatever you feel could work.

Additional info:
For example an option to write any timezone, which would then be validated against /usr/share/zoneinfo/ would work nice. If more timezones are found with same name, anaconda could ask check if they are the same, and if so, ask which one to use.

There was already similar bug, but only for UTC: 863199
Comment 1 Vratislav Podzimek 2013-04-02 07:23:45 EDT
I believe this is a valid request, but there needs to be a distribution-wide agreement on which timezones are supported. One can, of course, create a symlink to whichever zoneinfo file they want, but the question is how GUI tools like gnome-control-center would handle it.

In anaconda the only problem is how to show these timezones on the timezone map which doesn't support them (we use the TimezoneMap widget from the gnome-control-center).

David, could you please suggest who are the people that should make that distribution-wide decision on which timezones should be supported?
Comment 2 Martin Banas 2013-04-02 07:33:25 EDT
>> In anaconda the only problem is how to show these timezones on the timezone map which doesn't support them (we use the TimezoneMap widget from the gnome-control-center).

This bug was requested for TUI. But of course I will be glade if the support is both in TUI and GUI. I can create a new bug for GUI if you like.
Comment 3 David Cantrell 2014-09-24 11:35:13 EDT
(In reply to Vratislav Podzimek from comment #1)
> I believe this is a valid request, but there needs to be a distribution-wide
> agreement on which timezones are supported. One can, of course, create a
> symlink to whichever zoneinfo file they want, but the question is how GUI
> tools like gnome-control-center would handle it.
> 
> In anaconda the only problem is how to show these timezones on the timezone
> map which doesn't support them (we use the TimezoneMap widget from the
> gnome-control-center).
> 
> David, could you please suggest who are the people that should make that
> distribution-wide decision on which timezones should be supported?

For Fedora, I believe this should be a FESCo decision as it is a technical policy decision for the project.
Comment 4 Fedora End Of Life 2015-01-09 12:49:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:54:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.